Bug 1416175 - Remove the NTP server configuration from gdeploy
Summary: Remove the NTP server configuration from gdeploy
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: cockpit-ovirt
Classification: oVirt
Component: Gdeploy
Version: ---
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ovirt-4.1.1
: 0.10.7-0.0.10
Assignee: Ramesh N
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On:
Blocks: Gluster-HC-2
TreeView+ depends on / blocked
 
Reported: 2017-01-24 18:54 UTC by SATHEESARAN
Modified: 2017-04-21 09:38 UTC (History)
4 users (show)

Fixed In Version: cockpit-ovirt-0.10.7-0.0.13
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-21 09:38:52 UTC
oVirt Team: Gluster
rule-engine: ovirt-4.1+
rule-engine: planning_ack+
rnachimu: devel_ack+
knarra: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 71360 master MERGED gluster: remove ntp server configuration in gdeploy template 2017-01-30 18:01:37 UTC
oVirt gerrit 71767 ovirt-4.1 MERGED gluster: remove ntp server configuration in gdeploy template 2017-02-10 06:10:14 UTC

Description SATHEESARAN 2017-01-24 18:54:02 UTC
Description of problem:
-----------------------
NTP config file (/etc/ntp.conf) defaults to NTP servers as available with /etc/ntp.conf. If the user already wished to move to a different NTP servers, then gdeploy should provide an option to change to the newer NTP server

Version-Release number of selected component (if applicable):
--------------------------------------------------------------
cockpit-ovirt-dashboard-0.10.7-0.0.5

How reproducible:
-----------------
Always

Steps to Reproduce:
--------------------
1. Perform gluster deployment from cockpit-ovirt
2. Check the generated gdeploy config file 

Actual results:
---------------
No input for custom NTP server

Expected results:
-----------------
One of option for the user is to check whether to proceed with custom NTP server.
If the answer is yes ( then gdeploy ansible module should be used ), else /etc/ntp.conf is taken by default

Comment 1 SATHEESARAN 2017-01-24 19:01:00 UTC
if custom_NTP_server:

        [shell1]
        action=execute
        command=sed -i 's/^\(server .*iburst\)/#\1/' /etc/ntp.conf

        [update-file1]
        action=add
        dest=/etc/ntp.conf
        line=server <custom_NTP_server> iburst

else:

        do nothing


But irrespective of above conditional loop, NTP service needs to be started and should be persisted across reboots. So, the following sections should be present:

[service1]
action=enable
service=ntpd

[service2]
action=restart
service=ntpd

Comment 2 Ramesh N 2017-01-30 05:34:02 UTC
NTP server configuration will be removed from gdeploy template. Currently user has to manually edit the configuration to change NTP server. Also user can make use of the NTP server feature available in cockpit to change the ntp server configurations. 

RFE https://bugzilla.redhat.com/show_bug.cgi?id=1417351 will introduce this feature in cockpit wizard.

Comment 3 SATHEESARAN 2017-03-08 18:04:25 UTC
Tested with ovirt-cockpit-dashboard-0.10.7-0.0.13
Hardcoded NTP server is now removed from generated gdeploy config file


Note You need to log in before you can comment on or make changes to this bug.